/********************************************************
 * GAMEMENU						*
 *							*
 * gamemenu.h						*
 * Version 1.0						*
 *							*
 * Changelog						*
 *							*
 * 1.0	-	2018/05/28	S.R.Usher		*
 *		Initial version.			*
 *							*
 ********************************************************/

#include <limits.h>

#define INI_FILE "gamemenu.ini"
#define CSV_FILE "GAMES.CSV"
#define MAXGAMES 256

char *fgets_chomp();

void set_screen_mode();
void unset_screen_mode();
void set_volume();
void set_speaker();
char *read_ini_file();
int run_menu();
int parse_csv_file();
void run_game();
void cache_off();
void cache_on();

struct ini_options {
	char basedir[PATH_MAX];
	int master_volume;
	int internal_speaker;
};

extern int has_a_speaker;
extern int has_dma_audio;
extern int has_a_68030;
extern int is_a_tt;
