/********************************************************
 * GAMEMENU						*
 *							*
 * utils.c						*
 * Version 1.0						*
 *							*
 * Changelog						*
 *							*
 * 1.0	-	2018/05/28	S.R.Usher		*
 *		Initial version.			*
 *							*
 ********************************************************/

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <errno.h>
#include <string.h>

#include "gamemenu.h"

/*
 * This is a wrapper for fgets() which removes the end-of-line character(s)
 *
 * It copes with both UNIX EOL and CP/M, MSDOS, TOS EOL markers.
 */

char *fgets_chomp(char *buffer, size_t size, FILE *fp)
{
	char *retval;
	size_t linelen;

	retval = fgets(buffer, size, fp);

	if (retval != NULL)
	{
		linelen = strlen(buffer);
/*
 * Turn the last character (Line Feed) into a NULL
 */
 
		buffer[linelen -1] = '\0';

/*
 * Check to see if the next character is a Carriage Return. If so nuke that too.
 */
		if (buffer[linelen - 2] == (char) 0x0d)
			buffer[linelen - 2] = '\0';
	}

	return retval;
}
